Public Attributes | List of all members
boot_info_t Struct Reference
SYSTEM » Device Firmware Update » Structures

BootLoader information definition. More...

`#include <gr55xx_dfu.h>`

## Public Attributes
uint32_t | bin_size
| Firmware Size. More...
uint32_t | check_sum
| Firmware Check Sum Value. More...
uint32_t | load_addr
| Firmware Load Address. More...
uint32_t | run_addr
| Firmware Run Address. More...
uint32_t | xqspi_xip_cmd
| XIP Read Mode. More...
uint32_t | xqspi_speed: 4
| Bit: 0-3 clock speed. More...
uint32_t | code_copy_mode: 1
| Bit: 4 code copy mode. More...
uint32_t | system_clk: 3
| Bit: 5-7 system clock. More...
uint32_t | check_image:1
| Bit: 8 check image. More...
uint32_t | boot_delay:1
| Bit: Boot delay flag. More...
uint32_t | is_dap_boot:1
| Bit: 11 check if boot dap mode. More...
uint32_t | reserved:21
| Bit: 24 reserved. More...

## Detailed Description

BootLoader information definition.

Definition at line 141 of file gr55xx_dfu.h.

## Member Data Documentation

## ◆ bin_size

uint32_t boot_info_t::bin_size

Firmware Size.

Definition at line 143 of file gr55xx_dfu.h.

## ◆ boot_delay

uint32_t boot_info_t::boot_delay

Bit: Boot delay flag.

Definition at line 153 of file gr55xx_dfu.h.

## ◆ check_image

uint32_t boot_info_t::check_image

Bit: 8 check image.

Definition at line 152 of file gr55xx_dfu.h.

## ◆ check_sum

uint32_t boot_info_t::check_sum

Firmware Check Sum Value.

Definition at line 144 of file gr55xx_dfu.h.

## ◆ code_copy_mode

uint32_t boot_info_t::code_copy_mode

Bit: 4 code copy mode.

0:XIP,1:QSPI.

Definition at line 150 of file gr55xx_dfu.h.

## ◆ is_dap_boot

uint32_t boot_info_t::is_dap_boot

Bit: 11 check if boot dap mode.

Definition at line 154 of file gr55xx_dfu.h.

## ◆ load_addr

uint32_t boot_info_t::load_addr

Firmware Load Address.

Definition at line 145 of file gr55xx_dfu.h.

## ◆ reserved

uint32_t boot_info_t::reserved

Bit: 24 reserved.

Definition at line 155 of file gr55xx_dfu.h.

## ◆ run_addr

uint32_t boot_info_t::run_addr

Firmware Run Address.

Definition at line 146 of file gr55xx_dfu.h.

## ◆ system_clk

uint32_t boot_info_t::system_clk

Bit: 5-7 system clock.

0:64 MHz, 1:48 MHz, 2:32 MHz(xo), 3:24 MHz, 4:16 MHz, 5:32 MHz(cpll).

Definition at line 151 of file gr55xx_dfu.h.

## ◆ xqspi_speed

uint32_t boot_info_t::xqspi_speed

Bit: 0-3 clock speed.

0 :64 MHz, 1:48 MHz, 2:32 MHz, 3:24 MHz, 4:16 MHz.

Definition at line 149 of file gr55xx_dfu.h.

## ◆ xqspi_xip_cmd

uint32_t boot_info_t::xqspi_xip_cmd

XIP Read Mode.

0x03: Read mode, 0x0B: Fast Read mode, 0x3B: DualOut Fast Read mode, 0xBB: DualIO Fast Read mode, 0x6B: QuadOut Fast Read mode, 0xEB: QuadIO Fast Read mode

Definition at line 147 of file gr55xx_dfu.h.

The documentation for this struct was generated from the following file:

- gr55xx_dfu.h